import request from '@/utils/request'

// 查询业务务指派列表
export function listAssignments(query) {
  return request({
    url: '/care/assignments/list',
    method: 'get',
    params: query
  })
}

// 查询业务务指派详细
export function getAssignments(assignId) {
  return request({
    url: '/care/assignments/' + assignId,
    method: 'get'
  })
}

// 新增业务务指派
export function addAssignments(data) {
  return request({
    url: '/care/assignments',
    method: 'post',
    data: data
  })
}

// 修改业务务指派
export function updateAssignments(data) {
  return request({
    url: '/care/assignments',
    method: 'put',
    data: data
  })
}

// 删除业务务指派
export function delAssignments(assignId) {
  return request({
    url: '/care/assignments/' + assignId,
    method: 'delete'
  })
}
